=== debian/control ===
Source: libcohttp-ocaml
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libsexplib-camlp4-dev,
 ocaml-conduit-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 liburi-ocaml-dev,
 camlp4-extra,
 ocaml-fieldslib-dev,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 ocaml-stringext-dev,
 libssl-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib,
 libre-ocaml-dev

Package: libcohttp-ocaml
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: An HTTP library for OCaml
 An HTTP library for OCaml.

Package: libcohttp-ocaml-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 libcohttp-ocaml (>= 0.11.2-1),
 liblwt-ocaml-dev,
 libre-ocaml-dev,
 libssl-ocaml-dev,
 liburi-ocaml-dev,
 ocaml-stringext-dev,
 ocaml-conduit-dev,
 ocaml-fieldslib-dev,
 libsexplib-camlp4-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-cohttp
 The ocaml-cohttp-devel package contains libraries and signature files
 for developing applications that use ocaml-cohttp.

Package: ocaml-cohttp-bin
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Example binaries for ocaml-cohttp
 The ocaml-cohttp-bin package contains the compiled example files for
 ocaml-cohttp.
